%define version 0.2.11
%define release 1
%define name ipasserelle-base


Summary: Meta-Package to turn a SME Server into an iPasserelle
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0
Requires: e-smith-ldap
Requires: smeserver-remoteuseraccess
Requires: smeserver-zabbix-agent
Requires: smeserver-zabbix-proxy
Requires: smeserver-denyhosts
Requires: logwatch
Requires: smeserver-shared-folders
Requires: smeserver-qos
Requires: smeserver-fetchmail
Requires: smeserver-mailstats
Requires: smeserver-webapps-common
Requires: bash-completion
Requires: ipasserelle-repo
Requires: qmail-notify
Requires: iftop
Requires: openssl-perl
Requires: perl(List::MoreUtils)
Requires: perl(Text::Unaccent::PurePerl)
Requires: perl(Net::LDAP)
Requires: perl(Proc::ProcessTable)
Requires: perl(Proc::ProcessTable::Process)
Requires: pbzip2


%description
Meta package to configure an iPasserelle Server
Based on SMEServer, iPasserelle is a specially configured
SME Server, with some additionnal modules

%changelog
* Sun Jun 17 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.11-1
- Copy cacert in Primary ibay

* Fri Jun 7 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.10-1.sme
- Copy cacrl in Primary ibay

* Tue May 29 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.9-1.sme
- Update private cacert

* Thu May 24 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.8-1.sme
- Use pbzip2 instead of bzip2 for maillog rotation

* Wed May 23 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.7-1.sme
- Include CHANGELOG

* Fri May 18 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.6-1.sme
- Optimizations in LDAP updates scripts

* Tue Apr 24 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.5-1.sme
- Kill qpsmtpd after 1h instead of 30min

* Mon Apr 16 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.4-1.sme
- Revert previous commit, havp is now in front of squid

* Mon Apr 16 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.3-1.sme
- Don't hide X_Forwarded_For headers in squid if havp is enabled

* Fri Apr 13 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1.sme
- Revert previous commit, bootstrap.min.css will go in webapps

* Thu Apr 12 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1.sme
- Add bootstrap.min.css

* Tue Apr 03 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1.sme
- Switch to git
- Fix PATH in cron script
- Initialize PasswordSet, AllowRSSH and VPNClientAccess prop for special accounts

* Sun Mar 04 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1-24.sme
- Fix cron scripts permissions
- Add scan share with required permissions for scan2file (smb)
- Fix private cacert script
- Work arround a bug with spam score in some locales
- Add greylisting support in qpsmtpd

* Thu Mar 01 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1-23.sme
- Rise MySQL open_files_limit to 4096

* Thu Dec 01 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-22.sme
- Monthly archive maillog's Maildir (if qpsmtpd->ArchiveBcc is enabled)
- Add a new url attribute (not in LDAP, only for signature __URL__)
- Requires openssl-perl
- Stop running navigation-conf in ipasserelle-update
- Chown signature dir to the user
- Use larger fields in panel

* Fri Oct 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-20.sme
- Add a custom template (no other choice) to send samba audit log to a separate file

* Thu Jul 21 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-19.sme
- Remove LL::NG dep and all portal related stuff
- Separate tel and mob in signature generation script
- Add all functions variable in email signature generation script
- Kill stalled qpsmtpd process to prevent reaching instance limit
- Allow to choose email signature template per user (SignatureTemplate)
- Rename tag __SECTEUR__ to __SERVICE__ for the signature

* Wed Jul 13 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-18.sme
- Remove defaults example vhost and categories from LL::NG conf
- LL::NG Self protect the manager

* Fri Jul 08 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-17.sme
- Generate both txt and html version of the signature

* Fri Jul 08 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-16.sme
- Fix tel tag in signature

* Thu Jul 07 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-15.sme
- Disable weekly raid checks
- Add a basic email signature generator
- Fix a small typo in userinfo fr locale
- requires iftop

* Mon Jul 04 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-14.sme
- Depend on LL::NG and add / change some default config to match what
  is expected on iPasserelle

* Tue Jun 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-13.sme
- Fix a typo in group-modify event

* Mon Jun 20 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-12.sme
- Add support for qmail-notify

* Sun Jun 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Add PreferredMail as the first mail attribute in LDAP
- Fix copyright header

* Sat Jun 18 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Add alternative Email addresses in userinfo panel

* Wed May 11 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Don't let Squid send XForwardedFor headers
- Don't cache yum repo data with squid

* Tue May 10 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Fix a typo in the tools share ReadGroup prop

* Wed Apr 06 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Display group alias in viewgroups panel

* Tue Apr 05 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Add userpanel-viewgroups

* Mon Apr 04 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- Re-create userpanels symlinks in ipasserelle-update

* Thu Mar 17 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- Add desktopLoginShell LDAP attr
- Allow empty preferred mail

* Mon Mar 14 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Add autofs and ipmi service entries in the DB
- Add postalCode LDAP attribute
- Add validation routine for some fields

* Tue Mar 7 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-2.sme
- Add extensionNumber LDAP attribute

* Thu Jan 20 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- initial release


%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir_p} root/home/e-smith/files/shares/tools/files/templates_signatures/
%{__mkdir_p} root/home/e-smith/files/scan
%{__mkdir_p} root/var/lib/qpsmtpd/greylisting
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --file /etc/cron.hourly/qpsmtpd-cleanup 'attr(0755,root,root)' \
   --file /etc/cron.monthly/maillog-rotate 'attr(0755,root,root)' \
   --file /etc/cron.hourly/qmail-notify 'attr(0755,root,root)' \
   --file /etc/cron.hourly/cacrl 'attr(0755,root,root)' \
   --dir /home/e-smith/files/scan 'attr(0750,root,shared)' \
   --dir /var/lib/qpsmtpd/greylisting 'attr(0750,qpsmtpd,qpsmtpd)' \
  > %{name}-%{version}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun


